#-------------------------------------------------
#
# Project created by QtCreator 2018-11-19T00:10:46
#
#-------------------------------------------------

QT       += core gui multimedia opengl

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = xybrid
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

DISTFILES += ../.astylerc

CONFIG += c++17

# use all optimizations that won't generally interfere with debugging
QMAKE_CXXFLAGS_DEBUG += -Og

SOURCES += \
        main.cpp \
        mainwindow.cpp \
    data/pattern.cpp \
    ui/patterneditormodel.cpp \
    ui/patterneditoritemdelegate.cpp \
    ui/patterneditorview.cpp \
    data/project.cpp \
    ui/channelheaderview.cpp \
    ui/patternsequencermodel.cpp \
    ui/patternlistmodel.cpp \
    config/colorscheme.cpp \
    fileops.cpp \
    editing/patterncommands.cpp \
    editing/projectcommands.cpp \
    editing/compositecommand.cpp \
    data/node.cpp \
    audio/audioengine.cpp \
    ui/patchboard/patchboardscene.cpp \
    ui/patchboard/nodeobject.cpp \
    data/graph.cpp \
    config/pluginregistry.cpp \
    data/porttypes.cpp \
    ui/breadcrumbview.cpp \
    gadgets/ioport.cpp \
    gadgets/testsynth.cpp

HEADERS += \
        mainwindow.h \
    data/pattern.h \
    ui/patterneditormodel.h \
    ui/patterneditoritemdelegate.h \
    ui/patterneditorview.h \
    data/project.h \
    ui/channelheaderview.h \
    uisocket.h \
    ui/patternsequencermodel.h \
    ui/patternlistmodel.h \
    util/strings.h \
    config/colorscheme.h \
    fileops.h \
    editing/patterncommands.h \
    editing/projectcommands.h \
    editing/compositecommand.h \
    data/node.h \
    data/graph.h \
    audio/audioengine.h \
    ui/patchboard/patchboardscene.h \
    util/lambdaeventfilter.h \
    ui/patchboard/nodeobject.h \
    data/porttypes.h \
    config/pluginregistry.h \
    ui/breadcrumbview.h \
    gadgets/ioport.h \
    gadgets/testsynth.h

FORMS += \
        mainwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    res/resources.qrc
